curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/attributes" \
-H "Authorization: Bearer {token}" \
-X "GET"
attributes = vehicle.request(
"GET",
"{make}/attributes"
)
const attributes = await vehicle.request(
"GET",
"{make}/attributes"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/attributes")
.build();
VehicleResponse attributes = vehicle.request(request);
attributes = vehicle.request(
"GET",
"{make}/attributes"
)
{
"driveUnit": {
"front": "PM216MOSFET",
"rear": "NoneOrSmall"
},
"driverAssistVersion": "TeslaAP3",
"efficiencyPackage": "MY2021",
"firmwareVersion": "2022.8.10.12 0ce482dac45d",
"id": "36ab27d0-fd9d-4455-823a-ce30af709ffc",
"make": "TESLA",
"model": "Model S",
"nickname": "Tommy",
"performancePackage": "Base",
"sentryMode": {
"available": false,
"enabled": true
},
"style": {
"exteriorColor": "SolidBlack",
"exteriorTrim": "Black",
"interiorTrim": "Black2"
},
"trimBadging": "74d",
"wheel": {
"diameter": 482.6,
"style": "Apollo"
},
"year": 2022,
"atHome": true
}
Tesla
Extended Vehicle Info
Returns detailed configuration information for a vehicle.
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
attributes
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/attributes" \
-H "Authorization: Bearer {token}" \
-X "GET"
attributes = vehicle.request(
"GET",
"{make}/attributes"
)
const attributes = await vehicle.request(
"GET",
"{make}/attributes"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/attributes")
.build();
VehicleResponse attributes = vehicle.request(request);
attributes = vehicle.request(
"GET",
"{make}/attributes"
)
{
"driveUnit": {
"front": "PM216MOSFET",
"rear": "NoneOrSmall"
},
"driverAssistVersion": "TeslaAP3",
"efficiencyPackage": "MY2021",
"firmwareVersion": "2022.8.10.12 0ce482dac45d",
"id": "36ab27d0-fd9d-4455-823a-ce30af709ffc",
"make": "TESLA",
"model": "Model S",
"nickname": "Tommy",
"performancePackage": "Base",
"sentryMode": {
"available": false,
"enabled": true
},
"style": {
"exteriorColor": "SolidBlack",
"exteriorTrim": "Black",
"interiorTrim": "Black2"
},
"trimBadging": "74d",
"wheel": {
"diameter": 482.6,
"style": "Apollo"
},
"year": 2022,
"atHome": true
}
This endpoint is currently available for
teslaPermission
read_extended_vehicle_info
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/attributes" \
-H "Authorization: Bearer {token}" \
-X "GET"
attributes = vehicle.request(
"GET",
"{make}/attributes"
)
const attributes = await vehicle.request(
"GET",
"{make}/attributes"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/attributes")
.build();
VehicleResponse attributes = vehicle.request(request);
attributes = vehicle.request(
"GET",
"{make}/attributes"
)
Response
string
A vehicle ID (UUID v4).
string
The manufacturer of the vehicle.
string
The model of the vehicle.
integer
The model year.
string
Vehicle’s current firmware.
string
Indicates the Tesla’s trim.
string
Efficiency package.
string
Performance package.
string
Vehicle’s nickname.
string
Driver Assist version.
bool
Indicates
true if the vehicle is currently at the home address set in the vehicle. False indicates the vehicle is not at home or home location is not set. This value is null if atHome status could not be determined.
This field comes back as null if the vehicle is not capable of supporting Tesla’s Telemetry API (streaming).object
object
object
object
{
"driveUnit": {
"front": "PM216MOSFET",
"rear": "NoneOrSmall"
},
"driverAssistVersion": "TeslaAP3",
"efficiencyPackage": "MY2021",
"firmwareVersion": "2022.8.10.12 0ce482dac45d",
"id": "36ab27d0-fd9d-4455-823a-ce30af709ffc",
"make": "TESLA",
"model": "Model S",
"nickname": "Tommy",
"performancePackage": "Base",
"sentryMode": {
"available": false,
"enabled": true
},
"style": {
"exteriorColor": "SolidBlack",
"exteriorTrim": "Black",
"interiorTrim": "Black2"
},
"trimBadging": "74d",
"wheel": {
"diameter": 482.6,
"style": "Apollo"
},
"year": 2022,
"atHome": true
}
Was this page helpful?

